Foreman - Refactor #25888

Add components from katellos 'move_to_foreman’ directory to foreman
01/21/2019 01:06 PM - Maria Agaphontzev

Status: Closed

Priority: Normal

Assignee: Maria Agaphontzev
Category: JavaScript stack

Target version:

Difficulty: Fixed in Releases: 1.23.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6441
Description

Add the 'ConfirmDialog', 'Dialog’, 'ModalProgressBar' Components to foreman
Add some of the helper functions to foreman's helper

Associated revisions

Revision 6730cf2a - 05/07/2019 01:52 PM - Maria Agaphontzev

Fixes #25888 - move components from Katello to Foreman

- Add the 'ModalProgressBar' and 'Settings' components to Foreman
- Add some of the helper functions to Foreman's helper

History

#1 - 01/21/2019 01:07 PM - Maria Agaphontzev

- Tracker changed from Feature to Refactor

#2 - 01/21/2019 01:09 PM - Ohad Levy

please use specific features vs generic tasks, this kind of title will not help users when they try to understand what has changed in a given release,
instead it should be:

- add Component X to foreman
- Ensure plugin n is using component X from core

#3 - 01/21/2019 01:35 PM - Maria Agaphontzev

- Subject changed from Move components in the move_to_foreman directory to foreman to Move components in the move_to_foreman directory in
katello to foreman

#4 - 01/22/2019 10:21 AM - Maria Agaphontzev

- Subject changed from Move components in the move_to_foreman directory in katello to foreman to Add components from katellos
'move_to_foreman' directory to foreman

#5 - 01/23/2019 07:54 AM - Maria Agaphontzev

- Description updated

#6 - 01/23/2019 07:59 AM - Maria Agaphontzev

- Description updated

#7 - 01/29/2019 11:57 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6441 added

#8 - 04/18/2019 09:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing
#9 - 05/07/2019 01:55 PM - Anonymous
- Fixed in Releases 1.23.0 added

#10 - 05/07/2019 01:56 PM - The Foreman Bot
- Fixed in Releases deleted (1.23.0)

#11 - 05/07/2019 02:00 PM - The Foreman Bot
- Fixed in Releases 1.23.0 added

#12 - 05/07/2019 02:06 PM - Maria Agaphontzev
- Status changed from Ready For Testing to Closed

Applied in changeset 6730cf2a5b440021373a5687dcc2adacfd61bdid.

#13 - 08/05/2019 02:32 PM - Tomer Brisker

- Category changed from Web Interface to JavaScript stack
